### Methods

## Extract binary stream data

    getStream($stream) : string

### Parameters

#### $stream

### Returns

`string`

## Read the file

    read($sFileName)

### Parameters

#### $sFileName

string Filename

### Exceptions

`\PHPExcel_Reader_Exception` |

## Read 4 bytes of data at specified position

    _GetInt4d(string $data, int $pos) : int

Static

### Parameters

#### $data

`string`

#### $pos

`int`

### Returns

`int`

## Read a standard stream (by joining sectors using information from SAT)

    _readData(int $bl) : string

### Parameters

#### $bl

`int`

Sector ID where the stream starts

### Returns

`string`Data for standard stream

## Read entries in the directory stream.

    _readPropertySets()

### Properties

##

    $documentSummaryInformation

##

    $summaryInformation

##

    $wrkbook

##

    $data

### Constants

## BIG_BLOCK_DEPOT_BLOCKS_POS

    BIG_BLOCK_DEPOT_BLOCKS_POS

## BIG_BLOCK_SIZE

    BIG_BLOCK_SIZE

## EXTENSION_BLOCK_POS

    EXTENSION_BLOCK_POS

## IDENTIFIER_OLE

    IDENTIFIER_OLE

## NUM_BIG_BLOCK_DEPOT_BLOCKS_POS

    NUM_BIG_BLOCK_DEPOT_BLOCKS_POS

## NUM_EXTENSION_BLOCK_POS

    NUM_EXTENSION_BLOCK_POS

## PROPERTY_STORAGE_BLOCK_SIZE

    PROPERTY_STORAGE_BLOCK_SIZE

## ROOT_START_BLOCK_POS

    ROOT_START_BLOCK_POS

## SIZE_OF_NAME_POS

    SIZE_OF_NAME_POS

## SIZE_POS

    SIZE_POS

## SMALL_BLOCK_DEPOT_BLOCK_POS

    SMALL_BLOCK_DEPOT_BLOCK_POS

## SMALL_BLOCK_SIZE

    SMALL_BLOCK_SIZE

## SMALL_BLOCK_THRESHOLD

    SMALL_BLOCK_THRESHOLD

## START_BLOCK_POS

    START_BLOCK_POS

## TYPE_POS

    TYPE_POS